Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Lutris - nejde přihlásit origin [vyřešeno]  (Přečteno 6304 krát)

MKeyCZ

  • Návštěvník
  • Příspěvků: 60
Lutris - nejde přihlásit origin [vyřešeno]
« kdy: 19 Května 2022, 21:22:21 »
Dobrý den,
prosím o radu. Nainstaloval jsem nejnovější verzi lutris, která již v sobě podporuje přímé přihlášení do originu a nainstalování her z jeho knihovny. Na zorinu toto fungovalo bezvadně, ale nyní na ubuntu v. 22.04 se nemohu do originu přihlásit (zadám své přihlašovací údaje + kód pro ověření) poté dám přihlásit, ale origin se zasekne na bílé obrazovce. Zde je výpis z terminálu:

Kód: [Vybrat]
Gtk-Message: 21:02:09.922: Failed to load module "xapp-gtk3-module"
2022-05-19 21:02:10,385: Starting Lutris 0.5.10
2022-05-19 21:02:10,407: No folder at /home/mkey/.local/share/lutris/runners/retroarch/
2022-05-19 21:02:10,436: Running Intel Mesa driver 22.0.1 on Mesa Intel(R) UHD Graphics 620 (WHL GT2) (0x3ea0)
2022-05-19 21:02:10,436: GPU: 8086:3EA0 17AA:5072 (i915 drivers)
MESA-INTEL: warning: Performance support disabled, consider sysctl dev.i915.perf_stream_paranoid=0

2022-05-19 21:02:10,483: Startup complete
Gtk-Message: 21:02:15.533: Failed to load module "xapp-gtk3-module"
https://eaassets-a.akamaihd.net/resource_signin_ea_com/551.0.220429.254.6582c3c/p/statics/originX/js/jquery.originX-pc-common.v_1647597522-min.js:1:9015: CONSOLE LOG [ORIGIN][WEBCHANNEL] No connection.
https://eaassets-a.akamaihd.net/resource_signin_ea_com/551.0.220429.254.6582c3c/p/statics/originX/js/jquery.originX-pc-common.v_1647597522-min.js:1:9015: CONSOLE LOG [ORIGIN][WEBCHANNEL] No connection.
https://signin.ea.com/p/originX/login?execution=e285124749s7&initref=https%3A%2F%2Faccounts.ea.com%3A443%2Fconnect%2Fauth%3Fdisplay%3DoriginXWeb%252Flogin%26response_type%3Dcode%26release_type%3Dprod%26redirect_uri%3Dhttps%253A%252F%252Fwww.origin.com%252Fviews%252Flogin.html%26locale%3Den_US%26client_id%3DORIGIN_SPA_ID:44:28: CONSOLE LOG authenticaitonJShelper undefined
https://signin.ea.com/p/originX/login?execution=e285124749s7&initref=https%3A%2F%2Faccounts.ea.com%3A443%2Fconnect%2Fauth%3Fdisplay%3DoriginXWeb%252Flogin%26response_type%3Dcode%26release_type%3Dprod%26redirect_uri%3Dhttps%253A%252F%252Fwww.origin.com%252Fviews%252Flogin.html%26locale%3Den_US%26client_id%3DORIGIN_SPA_ID:52:28: CONSOLE LOG [[ env =
https://www.origin.com/views/login.html?code=QUOwAC9jQUXEKOhiyxrVtg-_iGlV3lp26G-clBHK:13:29: CONSOLE JS WARN Can't close the window since it was not opened by JavaScript
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 1012, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 411, in connect
    self.sock = ssl_wrap_socket(
  File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 449, in ssl_wrap_socket
    ssl_sock = _ssl_wrap_socket_impl(
  File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 493, in _ssl_wrap_socket_impl
    return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
  File "/usr/lib/python3.10/ssl.py", line 512, in wrap_socket
    return self.sslsocket_class._create(
  File "/usr/lib/python3.10/ssl.py", line 1070, in _create
    self.do_handshake()
  File "/usr/lib/python3.10/ssl.py", line 1341, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: UNSAFE_LEGACY_RENEGOTIATION_DISABLED] unsafe legacy renegotiation disabled (_ssl.c:997)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='accounts.ea.com', port=443): Max retries exceeded with url: /connect/auth?client_id=ORIGIN_JS_SDK&response_type=token&redirect_uri=nucleus%3Arest&prompt=none (Caused by SSLError(SSLError(1, '[SSL: UNSAFE_LEGACY_RENEGOTIATION_DISABLED] unsafe legacy renegotiation disabled (_ssl.c:997)')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/lutris/gui/dialogs/webconnect_dialog.py", line 66, in on_navigation
    self.service.login_callback(url)
  File "/usr/lib/python3/dist-packages/lutris/services/origin.py", line 132, in login_callback
    self.fetch_access_token()
  File "/usr/lib/python3/dist-packages/lutris/services/origin.py", line 136, in fetch_access_token
    token_data = self.get_access_token()
  File "/usr/lib/python3/dist-packages/lutris/services/origin.py", line 152, in get_access_token
    response = self.session.get(
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 555, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 514, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='accounts.ea.com', port=443): Max retries exceeded with url: /connect/auth?client_id=ORIGIN_JS_SDK&response_type=token&redirect_uri=nucleus%3Arest&prompt=none (Caused by SSLError(SSLError(1, '[SSL: UNSAFE_LEGACY_RENEGOTIATION_DISABLED] unsafe legacy renegotiation disabled (_ssl.c:997)')))

zkoušel jsem hledat a našel tuto diskuzi: https://github.com/lutris/lutris/issues/4235     - kde se píše, že problém lze opravit úpravou souboru: /etc/ssl/openssl.cnf ,ale bohužel to se mi nedaří. Mohl by mi s tím někdo pomoci?

V příloze posílám upravený soubor, jak jsem se ho pokusil upravit (přidal jsem posledních 6 řádků)


obrázek problému (v příloze)



edit.:
opraveno stačilo do souboru: etc/ssl/openssl.cnf přidat tyto řádky (doslova)
Kód: [Vybrat]
openssl_conf = openssl_init

[openssl_init]
ssl_conf = ssl_sect

[ssl_sect]
system_default = system_default_sect

[system_default_sect]
Options = UnsafeLegacyRenegotiation

více zde: https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1963834/comments/7

omlouvám se za založení vlákna. (možno smazat).
« Poslední změna: 20 Května 2022, 06:49:37 od Milhouse »

 

Provoz zaštiťuje spolek OpenAlt.